
Figure - Bug #117910
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】概率出现，打开强制小窗后再打开游戏，屏幕底部上滑进入Recent页面显示异
常
2023-05-12 17:09 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-05-12

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Release Test Root cause: 由于获取到的mInRecent状态不对,导致小窗没有隐藏

Description

【测试步骤】

打开抖音，再打开一个游戏，进入游戏后屏幕底部上滑

【预期结果】

进入Recent页面显示正确

【测试结果】

页面显示异常

History

#1 - 2023-05-13 14:04 - CD FW-鲁凯峰

由于获取到的mInRecent状态不对,导致小窗没有隐藏,要和Launcher那边在看看什么时候设置mInRecent的状态

#2 - 2023-05-13 18:24 - CD FW-鲁凯峰

原因跟#117875类似,都是由于mInRecent状态不对导致小窗没有被隐藏

需要和Launcher那边重新沟通一下怎么设置mInRecent的状态

#3 - 2023-05-17 20:43 - CD FW-鲁凯峰

和Launcher那边正常同步调查中,目前还在调试中

#4 - 2023-05-19 17:31 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

#5 - 2023-05-19 17:31 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to 物联网测试组_CDTS  唐霞 

- Resolution changed from -- to FIXED

- Root cause set to 由于获取到的mInRecent状态不对,导致小窗没有隐藏
■ Current conclusion

问题已经解决

■ My analysis

1. Launcher改为在启动RecentActivity之前触发enterOrExitRecentTasks,提前告诉FreeFormWindowHelper已经处于Recent状态

2. 添加启动Activity时候的检查,判断是否要更新Recent的状态

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/200917

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/200586

#6 - 2023-05-23 17:32 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0102.C103

#7 - 2023-05-23 17:33 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED
